| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Member Functions | List of all members
Digikam::VideoThumbnailer Class Reference

## Public Member Functions
| VideoThumbnailer (int thumbnailSize, bool workaroundIssues, bool maintainAspectRatio, bool smartFrameSelection)
void | addFilter (VideoStripFilter *const filter)
void | clearFilters ()
void | generateThumbnail (const QString &videoFile, QImage &image)
void | removeFilter (const VideoStripFilter *const filter)
void | setMaintainAspectRatio (bool enabled)
void | setSeekPercentage (int percentage)
void | setSeekTime (const QString &seekTime)
void | setSmartFrameSelection (bool enabled)
void | setThumbnailSize (int size)
void | setWorkAroundIssues (bool workAround)